Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbehave.core.embedder
Class StoryControls

    java.lang.Object
      org.jbehave.core.embedder.StoryControls

    public class StoryControls

extends Object

Holds flags used by the StoryRunner to control story execution flow.

Constructor Summary
`StoryControls()`

Method Summary
`StoryControls` | `doDryRun(boolean dryRun)`
`StoryControls` | `doResetStateBeforeScenario(boolean resetStateBeforeScenario)`
`StoryControls` | `doResetStateBeforeStory(boolean resetStateBeforeStory)`
`StoryControls` | `doSkipBeforeAndAfterScenarioStepsIfGivenStory(boolean skipBeforeAndAfterScenarioStepsIfGivenStory)`
`StoryControls` | `doSkipScenariosAfterFailure(boolean skipScenariosAfterFailure)`
`boolean` | `dryRun()`
`boolean` | `resetStateBeforeScenario()`
`boolean` | `resetStateBeforeStory()`
`String` | `scenarioMetaPrefix()`
`boolean` | `skipBeforeAndAfterScenarioStepsIfGivenStory()`
`boolean` | `skipScenariosAfterFailure()`
`String` | `storyMetaPrefix()`
`String` | `toString()`
`StoryControls` | `useScenarioMetaPrefix(String scenarioMetaPrefix)`
`StoryControls` | `useStoryMetaPrefix(String storyMetaPrefix)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StoryControls

    public StoryControls()

Method Detail

### dryRun

    public boolean dryRun()

### resetStateBeforeStory

    public boolean resetStateBeforeStory()

### resetStateBeforeScenario

    public boolean resetStateBeforeScenario()

### skipScenariosAfterFailure

    public boolean skipScenariosAfterFailure()

### skipBeforeAndAfterScenarioStepsIfGivenStory

    public boolean skipBeforeAndAfterScenarioStepsIfGivenStory()

### storyMetaPrefix

    public String storyMetaPrefix()

### scenarioMetaPrefix

    public String scenarioMetaPrefix()

### doDryRun

    public StoryControls doDryRun(boolean dryRun)

### doResetStateBeforeScenario

    public StoryControls doResetStateBeforeScenario(boolean resetStateBeforeScenario)

### doResetStateBeforeStory

    public StoryControls doResetStateBeforeStory(boolean resetStateBeforeStory)

### doSkipScenariosAfterFailure

    public StoryControls doSkipScenariosAfterFailure(boolean skipScenariosAfterFailure)

### doSkipBeforeAndAfterScenarioStepsIfGivenStory

    public StoryControls doSkipBeforeAndAfterScenarioStepsIfGivenStory(boolean skipBeforeAndAfterScenarioStepsIfGivenStory)

### useStoryMetaPrefix

    public StoryControls useStoryMetaPrefix(String storyMetaPrefix)

### useScenarioMetaPrefix

    public StoryControls useScenarioMetaPrefix(String scenarioMetaPrefix)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013. All Rights Reserved.